@import '../../../../assets/colors';

.btn-chip {
  display: inline-block;
  margin: 2px 0px;
  border-radius: 24px;
  font-size: 13px;
  line-height: 16px;
  height: 32px;
  background-color: $allu-chip-dark;
  border-width: 0px;
  text-align: center;

  .mat-checkbox-inner-container {
    display: none;
  }

  .mat-checkbox-layout {
    padding: 8px 12px;
    width: 100%;
  }

  .mat-checkbox-layout .mat-checkbox-label {
    color: mat-contrast($allu-primary, 500);
    text-align: center;
    line-height: 16px;
    width: 100%;
  }
}

.btn-chip-50 .btn-chip {
  width: calc(50% - 4px);
}

.btn-chip.selected {
  background-color: mat-color($allu-accent, 500);
  font-weight: bold;
  letter-spacing: 1.5px;
}
